#include <iostream>

using namespace std;

int main()
{
    //unos 2 prirodna broja
    int x,y;
    cin >> x >> y;
    int jx,dx,sx,hx;
    int jy,dy,sy,hy;
    int jsb,dsb,ssb,hsb;
    jx = x % 10;
    dx=(x/10) % 10; 
    sx=(x/100) % 10;
    hx=x / 1000;
    jy =y % 10;
    dy=(y/10) % 10; 
    sy=(y/100) % 10;
    hy=y / 1000;
    //dobijanje jedinice za sudarni broj
    if(jx == jy){
        jsb = jx * 10 + jx;
    }
    else if(jx > jy){
        jsb = jx;
    }
    else{
        jsb = jy;
    }
    //dobijanje desetice za sudarni broj
    if(dx == dy){
        dsb = dx * 10 + dx;
    }
    else if(dx > dy){
        dsb = dx;
    }
    else{
        dsb = dy;
    }
    //dobijanje stotice za sudarni broj
    if(sx == sy){
        ssb = sx * 10 + sx;
    }
    else if(sx > sy){
        ssb = sx;
    }
    else{
        ssb = sy;
    }
    //dobijanje hiljadice za sudarni broj
    if(hx == hy){
        hsb = hx * 10 + hx;
    }
    else if(hx > hy){
        hsb = hx;
    }
    else{
        hsb = hy;
    }
    if (x < 10 && y < 10){
        cout << jsb;
    }
    else if (x < 100 && y < 100){
        cout <<  dsb << jsb;
    }
    else if (x < 1000 && y < 1000){
        cout << ssb << dsb << jsb;
    }
    else{
        cout << hsb << ssb << dsb << jsb;
    }
    return 0;
}